GCLOUD_PREVIEW_APP_DEPLOY(1)

NAME

gcloud preview app deploy - (BETA) deploy the local code and/or configuration of your app to App Engine

SYNOPSIS

gcloud preview app deploy [DEPLOYABLES ...] [--bucket BUCKET] [--docker-build DOCKER_BUILD] [--force] [--image-url IMAGE_URL] [--promote] [--server SERVER] [--version VERSION] [GLOBAL-FLAG ...]

DESCRIPTION
(BETA) This command is used to deploy both code and configuration to the App Engine server. As an input it takes one or more DEPLOYABLES that should be uploaded. A DEPLOYABLE can be a module's .yaml file or a configuration's .yaml file. To use the Container Builder API to perform docker builds, rather than a temporary VM (with the default --docker-build=remote setting), run:
    $ gcloud config set app/use_cloud_build true
See https://cloud.google.com/container-builder/docs/ for more information.

POSITIONAL ARGUMENTS
[DEPLOYABLES ...]
    The yaml files for the modules or configurations you want to deploy. If not given, defaults to app.yaml in the current directory. If that is not found, attempts to automatically generate necessary configuration files (such as app.yaml) in the current directory.

FLAGS
--bucket BUCKET
    The Google Cloud Storage bucket used to stage files associated with the deployment. If this argument is not specified, the application's default code bucket is used.
--docker-build DOCKER_BUILD
    Perform a hosted ('remote') or local ('local') Docker build. To perform a local build, you must have your local docker environment configured correctly. The default is a hosted build.
--force
    Force deploying, overriding any previous in-progress deployments to this version.
--image-url IMAGE_URL
    Deploy with a specific Docker image. Docker url must be from one of the valid gcr hostnames.
--promote
    Promote the deployed version to receive all traffic. True by default. To change the default behavior for your current environment, run:
        $ gcloud config set app/promote_by_default false. Overrides the \
          default *promote_by_default* property value for this command \
          invocation. Use *--no-promote* to disable.
--server SERVER
    The App Engine server to connect to. You will not typically need to change this value.
--version VERSION
    The version of the app that will be created or replaced by this deployment. If you do not specify a version, one will be generated for you.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To deploy a single module, run:
    $ gcloud preview app deploy ~/my_app/app.yaml
To deploy multiple modules, run:
    $ gcloud preview app deploy ~/my_app/app.yaml \
        ~/my_app/another_module.yaml

NOTES
This command is currently in BETA and may change without notice.